: Class IPTemplatesAttribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources.upgrade
Class IPTemplatesAttribute

    java.lang.Object
      |
      +--org.w3c.tools.resources.upgrade.Attribute
            |
            +--org.w3c.tools.resources.upgrade.IPTemplatesAttribute

public class IPTemplatesAttribute
extends Attribute

The IPTemplates attribute description. Maintains a list of IP templates (short arrays, to allow for the splash).

See Also:
  Serialized Form

Fields inherited from class org.w3c.tools.resources.upgrade.Attribute
`COMPUTED, DONTSAVE, EDITABLE, flags, MANDATORY, name, type`

Constructor Summary
`IPTemplatesAttribute(java.lang.String name, short[][] defs, java.lang.Integer flags)`

Method Summary
`boolean` | `checkValue(java.lang.Object obj)` Is the given value a valid IPTemplates value ?
`int` | `getPickleLength(java.lang.Object value)` Get the number of bytes required to save that attribute value.
`void` | `pickle(java.io.DataOutputStream out, java.lang.Object obj)` Pickle an array of IP templates to the given output stream.
`java.lang.Object` | `unpickle(java.io.DataInputStream in)` Unpickle an array of IP templates from the given input stream.

Methods inherited from class org.w3c.tools.resources.upgrade.Attribute
`checkFlag, getDefault, getName, getType, stringify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IPTemplatesAttribute

    public IPTemplatesAttribute(java.lang.String name,
                                short[][] defs,
                                java.lang.Integer flags)

Method Detail

### checkValue

    public boolean checkValue(java.lang.Object obj)

  Is the given value a valid IPTemplates value ?
  Overrides:
    checkValue in class Attribute
  Parameters:
    `obj` - The object to test.
  Throws:
    IllegalAttributeAccess - If the provided value doesn't pass the test.

### getPickleLength

    public final int getPickleLength(java.lang.Object value)

  Get the number of bytes required to save that attribute value.
  Overrides:
    getPickleLength in class Attribute
  Parameters:
    `The` - value about to be pickled.
  Returns:
    The number of bytes needed to pickle that value.

### pickle

    public void pickle(java.io.DataOutputStream out,
                       java.lang.Object obj)
                throws java.io.IOException

  Pickle an array of IP templates to the given output stream.
  Overrides:
    pickle in class Attribute
  Parameters:
    `out` - The output stream to pickle to.
    `obj` - The object to pickle.
  Throws:
    java.io.IOException - If some IO error occured.

### unpickle

    public java.lang.Object unpickle(java.io.DataInputStream in)
                              throws java.io.IOException

  Unpickle an array of IP templates from the given input stream.
  Overrides:
    unpickle in class Attribute
  Parameters:
    `in` - The input stream to unpickle from.
  Returns:
    An instance of short[][].
  Throws:
    java.io.IOException - If some IO error occured.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD